XvUngrabPort(3)

Name
XvUngrabPort - release port grabbed for video operation

Syntax
#include <X11/extensions/Xvlib.h>

XvUngrabPort(Display *dpy, XvPortID port, Time time);

Arguments

dpy Specifies the connection to the X server.

port
    Specifies the port to be released. If the port had not been previously grabbed, the request is ignored.

time
    Specifies the request timestamp.

Description
XvUngrabPort(3) releases a grabbed port. If time specifies a time before the last XvGrabPort(3) was executed, the request is ignored.

Returned Values

[Success]
    Returned if XvUngrabPort(3) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvUngrabPort(3) failed to allocate memory to process the request.

Diagnostics

[XvBadPort]
    Generated if the requested port does not exist.

See Also
XvGrabPort(3)